Coinbax API

Verification

View as Markdown

Get verification info for a transaction (public)

GET/api/v1/verify/{transactionId}Public

Path parameters

  • transactionIdstringrequired

    Transaction UUID from SMS link

Responses

200Verification info returned

Response follows the unified success / data / meta / error envelope.

404Transaction not found

Response follows the unified success / data / meta / error envelope.

curl https://api-staging.coinbax.com/api/v1/verify/<transactionId>
const response = await fetch('https://api-staging.coinbax.com/api/v1/verify/<transactionId>', {
});
const result = await response.json();

Resend verification code (public)

POST/api/v1/verify/{transactionId}/resendPublic

Path parameters

  • transactionIdstringrequired

    Transaction UUID

Responses

200Code resent successfully

Response follows the unified success / data / meta / error envelope.

429Rate limited

Response follows the unified success / data / meta / error envelope.

curl -X POST https://api-staging.coinbax.com/api/v1/verify/<transactionId>/resend
const response = await fetch('https://api-staging.coinbax.com/api/v1/verify/<transactionId>/resend', {
  method: 'POST',
});
const result = await response.json();

Verify SMS code (public)

POST/api/v1/verify/{transactionId}/verifyPublic

Path parameters

  • transactionIdstringrequired

    Transaction UUID

Request body

object

Responses

200Code verified successfully

Response follows the unified success / data / meta / error envelope.

400Invalid code

Response follows the unified success / data / meta / error envelope.

404Transaction not found

Response follows the unified success / data / meta / error envelope.

curl -X POST https://api-staging.coinbax.com/api/v1/verify/<transactionId>/verify \
  -H "Content-Type: application/json" \
  -d '{}'
const response = await fetch('https://api-staging.coinbax.com/api/v1/verify/<transactionId>/verify', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({}),
});
const result = await response.json();